Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SpaceTime.DataModel
Interface SpaceTimeProperty

    public interface SpaceTimeProperty

Property class for SpaceTime nodes and edges. A property can contain either an integer, double, string value or a piecewise linear function.

Method Summary
`java.lang.String` | `Category()` Category (optional)
`void` | `Category(java.lang.String value)`
`boolean` | `ContainsValue()` Returns true if this property contains a numeric value.
`int` | `DataType()` Data type
`double` | `DoubleValue()` Get double value
`CertainPlf` | `GetCertainPlf()` Gets the function data associated with this property.
`UncertainPlf` | `GetUncertainPlf()` Gets the function data associated with this property.
`UncertaintyDistributionData` | `GetUncertaintyData()` Get the uncertainty data associated with this node if it exists.
`YUncertainPlf` | `GetYUncertainPlf()` Gets the function data associated with this property.
`int` | `IntValue()` Get int value
`boolean` | `IsDefault()` IsDefault flag
`void` | `IsDefault(boolean value)`
`boolean` | `IsEditable()` IsEditable flag (optional)
`void` | `IsEditable(boolean value)`
`boolean` | `IsHidden()` IsHidden flag (optional)
`void` | `IsHidden(boolean value)`
`java.lang.String` | `Label()` Label
`void` | `Label(java.lang.String value)`
`int` | `MoneyValue()` Get money value
`SpaceTimeNode` | `OwnerNode()` Owner node of this property
`void` | `OwnerNode(SpaceTimeNode value)`
`long` | `Priority()` Priority
`void` | `Priority(long value)`
`java.lang.String` | `PropertyType()` Property type
`void` | `PropertyType(java.lang.String value)`
`java.lang.String` | `ServiceCategory()` Service category (optional)
`void` | `ServiceCategory(java.lang.String value)`
`void` | `SetCertainPlf(CertainPlf functionData, long dataType)` Associates function data with this node.
`void` | `SetDoubleValue(double value)` Assigns double value
`void` | `SetIntValue(int value)` Assigns integer value
`void` | `SetMoneyValue(int value)` Assigns money value, money value is represented by an integer
`void` | `SetStringValue(java.lang.String value)` Assigns string value
`void` | `SetUncertainPlf(UncertainPlf functionData)` Associates function data with this node.
`void` | `SetUncertaintyData(UncertaintyDistributionData uncertaintyData)` Associates uncertainty data with this node.
`void` | `SetYUncertainPlf(YUncertainPlf functionData)` Associates function data with this node.
`java.lang.String` | `StringValue()` Get string value

Method Detail

### GetCertainPlf

    CertainPlf GetCertainPlf()

  Gets the function data associated with this property.

### GetYUncertainPlf

    YUncertainPlf GetYUncertainPlf()

  Gets the function data associated with this property.

### GetUncertainPlf

    UncertainPlf GetUncertainPlf()

  Gets the function data associated with this property.

### SetCertainPlf

    void SetCertainPlf(CertainPlf functionData,
                       long dataType)

  Associates function data with this node.

### SetYUncertainPlf

    void SetYUncertainPlf(YUncertainPlf functionData)

  Associates function data with this node.

### SetUncertainPlf

    void SetUncertainPlf(UncertainPlf functionData)

  Associates function data with this node.

### GetUncertaintyData

    UncertaintyDistributionData GetUncertaintyData()

  Get the uncertainty data associated with this node if it exists.

### SetUncertaintyData

    void SetUncertaintyData(UncertaintyDistributionData uncertaintyData)

  Associates uncertainty data with this node.

### SetDoubleValue

    void SetDoubleValue(double value)

  Assigns double value

### SetIntValue

    void SetIntValue(int value)

  Assigns integer value

### SetMoneyValue

    void SetMoneyValue(int value)

  Assigns money value, money value is represented by an integer

### SetStringValue

    void SetStringValue(java.lang.String value)

  Assigns string value

### ContainsValue

    boolean ContainsValue()

  Returns true if this property contains a numeric value.

### OwnerNode

    SpaceTimeNode OwnerNode()

  Owner node of this property

### OwnerNode

    void OwnerNode(SpaceTimeNode value)

### Label

    java.lang.String Label()

  Label

### Label

    void Label(java.lang.String value)

### Category

    java.lang.String Category()

  Category (optional)

### Category

    void Category(java.lang.String value)

### ServiceCategory

    java.lang.String ServiceCategory()

  Service category (optional)

### ServiceCategory

    void ServiceCategory(java.lang.String value)

### Priority

    long Priority()

  Priority

### Priority

    void Priority(long value)

### IsDefault

    boolean IsDefault()

  IsDefault flag

### IsDefault

    void IsDefault(boolean value)

### IsHidden

    boolean IsHidden()

  IsHidden flag (optional)

### IsHidden

    void IsHidden(boolean value)

### IsEditable

    boolean IsEditable()

  IsEditable flag (optional)

### IsEditable

    void IsEditable(boolean value)

### DataType

    int DataType()

  Data type

### IntValue

    int IntValue()

  Get int value

### MoneyValue

    int MoneyValue()

  Get money value

### DoubleValue

    double DoubleValue()

  Get double value

### StringValue

    java.lang.String StringValue()

  Get string value

### PropertyType

    java.lang.String PropertyType()

  Property type

### PropertyType

    void PropertyType(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD